Removed git-pull-request(1)

not very useful since you have to lookup the number, in which case
you might as well just copy/paste the url and git am
This commit is contained in:
TJ Holowaychuk 2012-02-09 08:09:20 -08:00
parent f07ca4b4d3
commit 54f3b65b68
7 changed files with 0 additions and 252 deletions

View file

@ -36,7 +36,6 @@ $ brew install git-extras
- `git effort`
- `git changelog`
- `git commits-since`
- `git pull-request`
- `git count`
- `git create-branch`
- `git delete-branch`
@ -109,19 +108,6 @@ $ git feature finish dependencies
All of this works with `feature`, `bug`, or `refactor`.
## git-pull-request <number>
Pull a GitHub pull-request `number`, and apply it
via `git am`.
The git config `github.user` must be present, and the dirname must
map to `https://github.com/<github.user>/<dirname>`.
```bash
git pull-request 604
```
## git-contrib &lt;author&gt;
Output `author`'s contributions to a project:

View file

@ -1,17 +0,0 @@
#!/bin/sh
user=`git config github.user`
test -z "$user" && echo "failed to fetch github.user" 1>&2 && exit 1
oauthToken=`git config github.oauthToken`
if [ -z $oauthToken ] ; then
echo "Github oAuth token not found. Creating a new one."
stty_orig=`stty -g`
stty -echo
printf "Github password:"
read passwd
stty $stty_orig
url="https://api.github.com/authorizations"
oauthToken=$(curl -# -u "$user:$passwd" $url -d '{"scopes": ["repo", "user", "gist"]}' | jshon -e token | sed -e 's/"//g')
git config --global github.oauthToken $oauthToken
fi
echo $oauthToken

View file

@ -1,42 +0,0 @@
#!/bin/sh
# check if arg 1 is a number or not
echo $1 | egrep "^[[:digit:]]+$" > /dev/null
is_not_number=$?
repo=${PWD##*/}
user=`git config github.user`
test -z "$repo" && echo "failed to detect repo" 1>&2 && exit 2
test -z "$user" && echo "failed to fetch github.user" 1>&2 && exit 3
if [ ! $is_not_number ] ; then
# apply existing pull request
url="https://github.com/$user/$repo/pull/$1.patch"
echo "pulling $url"
curl -# $url \
| git am --signoff \
&& echo "completed pull request $request"
else
# push
branchname=`git branch --no-color | sed -n -e 's/^\* \(.*\)/\1/p'`
echo "git push origin $branchname"
git push origin $branchname
# create new pull request
url="https://api.github.com/repos/$user/$repo/pulls"
echo "creating pull request"
oauthToken=`git gh-oauth`
body="{\"title\": \"$branchname\", \"head\": \"$user:$branchname\", \"base\": \"master\"}"
curl_result=$(curl -H "Authorization: token $oauthToken" $url -d "$body" --silent \
--write-out "%{http_code}")
json=`echo ${curl_result} | sed 's/...$//'`
http_code=`echo ${curl_request} | perl -pe 's/(.*)(...)$/$2/'`
if [ "${http_code:0:1}" == "2" ] ; then
pr_num=`echo "$json" | jshon -e number`
echo "Created pull request #${pr_num}"
else
echo "$json" | jshon -e message
echo "$json"
fi
fi

View file

@ -20,7 +20,6 @@ git-extras(1) -- Awesome GIT utilities
- `git-summary` repository summary & contrib
- `git-touch` touch and add file to the index
- `git-undo` undo one or more of the latest commits
- `git-pull-request` pulls the given request from github
## AUTHOR

View file

@ -1,36 +0,0 @@
.\" generated with Ronn/v0.7.3
.\" http://github.com/rtomayko/ronn/tree/0.7.3
.
.TH "GIT\-PULL\-REQUEST" "1" "March 2011" "" "Git Extras"
.
.SH "NAME"
\fBgit\-pull\-request\fR \- Pulls a github request
.
.SH "SYNOPSIS"
\fBgit\-pull\-request\fR [number]
.
.SH "DESCRIPTION"
Pulls the given request number the project in the \fBCWD\fR and applies it via \fBgit am\fR\.
.
.SH "EXAMPLES"
Pull https://github\.com/visionmedia/express/pull/604\.
.
.IP "" 4
.
.nf
$ cd projects/express
$ git pull\-request 604
.
.fi
.
.IP "" 0
.
.SH "AUTHOR"
Written by TJ Holowaychuk <\fItj@vision\-media\.ca\fR>
.
.SH "REPORTING BUGS"
<\fIhttp://github\.com/visionmedia/git\-extras/issues\fR>
.
.SH "SEE ALSO"
<\fIhttp://github\.com/visionmedia/git\-extras\fR>

View file

@ -1,113 +0,0 @@
<!DOCTYPE html>
<html>
<head>
<meta http-equiv='content-type' value='text/html;charset=utf8'>
<meta name='generator' value='Ronn/v0.7.3 (http://github.com/rtomayko/ronn/tree/0.7.3)'>
<title>git-pull-request(1) - Pulls a github request</title>
<style type='text/css' media='all'>
/* style: man */
body#manpage {margin:0}
.mp {max-width:100ex;padding:0 9ex 1ex 4ex}
.mp p,.mp pre,.mp ul,.mp ol,.mp dl {margin:0 0 20px 0}
.mp h2 {margin:10px 0 0 0}
.mp > p,.mp > pre,.mp > ul,.mp > ol,.mp > dl {margin-left:8ex}
.mp h3 {margin:0 0 0 4ex}
.mp dt {margin:0;clear:left}
.mp dt.flush {float:left;width:8ex}
.mp dd {margin:0 0 0 9ex}
.mp h1,.mp h2,.mp h3,.mp h4 {clear:left}
.mp pre {margin-bottom:20px}
.mp pre+h2,.mp pre+h3 {margin-top:22px}
.mp h2+pre,.mp h3+pre {margin-top:5px}
.mp img {display:block;margin:auto}
.mp h1.man-title {display:none}
.mp,.mp code,.mp pre,.mp tt,.mp kbd,.mp samp,.mp h3,.mp h4 {font-family:monospace;font-size:14px;line-height:1.42857142857143}
.mp h2 {font-size:16px;line-height:1.25}
.mp h1 {font-size:20px;line-height:2}
.mp {text-align:justify;background:#fff}
.mp,.mp code,.mp pre,.mp pre code,.mp tt,.mp kbd,.mp samp {color:#131211}
.mp h1,.mp h2,.mp h3,.mp h4 {color:#030201}
.mp u {text-decoration:underline}
.mp code,.mp strong,.mp b {font-weight:bold;color:#131211}
.mp em,.mp var {font-style:italic;color:#232221;text-decoration:none}
.mp a,.mp a:link,.mp a:hover,.mp a code,.mp a pre,.mp a tt,.mp a kbd,.mp a samp {color:#0000ff}
.mp b.man-ref {font-weight:normal;color:#434241}
.mp pre {padding:0 4ex}
.mp pre code {font-weight:normal;color:#434241}
.mp h2+pre,h3+pre {padding-left:0}
ol.man-decor,ol.man-decor li {margin:3px 0 10px 0;padding:0;float:left;width:33%;list-style-type:none;text-transform:uppercase;color:#999;letter-spacing:1px}
ol.man-decor {width:100%}
ol.man-decor li.tl {text-align:left}
ol.man-decor li.tc {text-align:center;letter-spacing:4px}
ol.man-decor li.tr {text-align:right;float:right}
</style>
</head>
<!--
The following styles are deprecated and will be removed at some point:
div#man, div#man ol.man, div#man ol.head, div#man ol.man.
The .man-page, .man-decor, .man-head, .man-foot, .man-title, and
.man-navigation should be used instead.
-->
<body id='manpage'>
<div class='mp' id='man'>
<div class='man-navigation' style='display:none'>
<a href="#NAME">NAME</a>
<a href="#SYNOPSIS">SYNOPSIS</a>
<a href="#DESCRIPTION">DESCRIPTION</a>
<a href="#EXAMPLES">EXAMPLES</a>
<a href="#AUTHOR">AUTHOR</a>
<a href="#REPORTING-BUGS">REPORTING BUGS</a>
<a href="#SEE-ALSO">SEE ALSO</a>
</div>
<ol class='man-decor man-head man head'>
<li class='tl'>git-pull-request(1)</li>
<li class='tc'>Git Extras</li>
<li class='tr'>git-pull-request(1)</li>
</ol>
<h2 id="NAME">NAME</h2>
<p class="man-name">
<code>git-pull-request</code> - <span class="man-whatis">Pulls a github request</span>
</p>
<h2 id="SYNOPSIS">SYNOPSIS</h2>
<p><code>git-pull-request</code> [number]</p>
<h2 id="DESCRIPTION">DESCRIPTION</h2>
<p> Pulls the given request number the project in the <strong>CWD</strong> and applies it via <code>git am</code>.</p>
<h2 id="EXAMPLES">EXAMPLES</h2>
<p> Pull https://github.com/visionmedia/express/pull/604.</p>
<pre><code>$ cd projects/express
$ git pull-request 604
</code></pre>
<h2 id="AUTHOR">AUTHOR</h2>
<p>Written by TJ Holowaychuk &lt;<a href="&#x6d;&#97;&#105;&#108;&#x74;&#x6f;&#58;&#x74;&#106;&#x40;&#118;&#105;&#x73;&#105;&#111;&#110;&#45;&#109;&#101;&#100;&#x69;&#97;&#x2e;&#99;&#x61;" data-bare-link="true">&#x74;&#x6a;&#x40;&#118;&#x69;&#115;&#x69;&#x6f;&#x6e;&#x2d;&#109;&#101;&#x64;&#x69;&#97;&#46;&#99;&#x61;</a>&gt;</p>
<h2 id="REPORTING-BUGS">REPORTING BUGS</h2>
<p>&lt;<a href="http://github.com/visionmedia/git-extras/issues" data-bare-link="true">http://github.com/visionmedia/git-extras/issues</a>&gt;</p>
<h2 id="SEE-ALSO">SEE ALSO</h2>
<p>&lt;<a href="http://github.com/visionmedia/git-extras" data-bare-link="true">http://github.com/visionmedia/git-extras</a>&gt;</p>
<ol class='man-decor man-foot man foot'>
<li class='tl'></li>
<li class='tc'>March 2011</li>
<li class='tr'>git-pull-request(1)</li>
</ol>
</div>
</body>
</html>

View file

@ -1,29 +0,0 @@
git-pull-request(1) -- Pulls a github request
====================================
## SYNOPSIS
`git-pull-request` [number]
## DESCRIPTION
Pulls the given request number the project in the __CWD__ and applies it via `git am`.
## EXAMPLES
Pull https://github.com/visionmedia/express/pull/604.
$ cd projects/express
$ git pull-request 604
## AUTHOR
Written by TJ Holowaychuk &lt;<tj@vision-media.ca>&gt;
## REPORTING BUGS
&lt;<http://github.com/visionmedia/git-extras/issues>&gt;
## SEE ALSO
&lt;<http://github.com/visionmedia/git-extras>&gt;